package com.jianshui.platform.mapper;

import java.util.List;
import com.jianshui.platform.domain.VehicleCode;

/**
 * 车辆编码Mapper接口
 * 
 * @author kk
 * @date 2023-06-28
 */
public interface VehicleCodeMapper 
{
    /**
     * 查询车辆编码
     * 
     * @param id 车辆编码主键
     * @return 车辆编码
     */
    public VehicleCode selectVehicleCodeById(Long id);

    /**
     * 查询车辆编码列表
     * 
     * @param vehicleCode 车辆编码
     * @return 车辆编码集合
     */
    public List<VehicleCode> selectVehicleCodeList(VehicleCode vehicleCode);

    /**
     * 新增车辆编码
     * 
     * @param vehicleCode 车辆编码
     * @return 结果
     */
    public int insertVehicleCode(VehicleCode vehicleCode);

    /**
     * 修改车辆编码
     * 
     * @param vehicleCode 车辆编码
     * @return 结果
     */
    public int updateVehicleCode(VehicleCode vehicleCode);

    /**
     * 删除车辆编码
     * 
     * @param id 车辆编码主键
     * @return 结果
     */
    public int deleteVehicleCodeById(Long id);

    /**
     * 批量删除车辆编码
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVehicleCodeByIds(Long[] ids);
}
